MPD: client/Client.hxx File Reference

MPD 0.20.15

Data Structures | Functions | Variables
Client.hxx File Reference
`#include "check.h"`
`#include "ClientMessage.hxx"`
`#include "command/CommandListBuilder.hxx"`
`#include "event/FullyBufferedSocket.hxx"`
`#include "event/TimeoutMonitor.hxx"`
`#include "Compiler.h"`
`#include <boost/intrusive/link_mode.hpp>`
`#include <boost/intrusive/list_hook.hpp>`
`#include <set>`
`#include <string>`
`#include <list>`
`#include <stddef.h>`
`#include <stdarg.h>`
Include dependency graph for Client.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | Client

## Functions
void | client_manager_init ()
void | client_new (EventLoop &loop, Partition &partition, int fd, SocketAddress address, int uid)
void | client_puts (Client &client, const char *s)
| Write a C string to the client. More...
void | client_vprintf (Client &client, const char *fmt, va_list args)
| Write a printf-like formatted string to the client. More...
| gcc_printf (2, 3) void client_printf(Client &client
| Write a printf-like formatted string to the client. More...

## Variables
const char * | fmt

## Function Documentation

## ◆ client_manager_init()

void client_manager_init | ( |  | ) |

## ◆ client_new()

void client_new | ( | EventLoop & | loop,
|  | Partition & | partition,
|  | int | fd,
|  | SocketAddress | address,
|  | int | uid
| ) |  |

## ◆ client_puts()

void client_puts | ( | Client & | client,
|  | const char * | s
| ) |  |

Write a C string to the client.

## ◆ client_vprintf()

void client_vprintf | ( | Client & | client,
|  | const char * | fmt,
|  | va_list | args
| ) |  |

Write a printf-like formatted string to the client.

## ◆ gcc_printf()

int const char gcc_printf | ( | 2 | ,
|  | 3 |
| ) |  | &

Write a printf-like formatted string to the client.

## Variable Documentation

## ◆ fmt

int const char const char * fmt

Definition at line 231 of file Client.hxx.